Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230060 - When root on LV is defined using LABEL= in /etc/fstab, lvm is not added to initrd
Summary: When root on LV is defined using LABEL= in /etc/fstab, lvm is not added to in...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 12:36 UTC by Jan Pazdziora
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-04 20:01:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Pazdziora 2007-02-26 12:36:22 UTC
Description of problem:

When root on LV is defined using LABEL= in /etc/fstab, lvm is not added to
initrd unpon kernel install.

Version-Release number of selected component (if applicable):

mkinitrd-5.1.19.6-1 (the latest in webqa's RHEL 5 channel)

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have root on LV (let's say /dev/vg0/root)
2. Tune2fs -L it to give it label hostroot.
3. Set / in /etc/fstab to be LABEL=hostroot, instead of /dev/vg0/root.
4. Install kernel (rpm -i kernel-2.6.18-9.el5.i686.rpm)
5. Check the content of the initrd: gunzip -c < /boot/initrd-2.6.18-9.el5.img |
cpio -t
  
Actual results:

Observe that /etc/lvm/* and /bin/lvm are missing. Upon the reboot, the root fill
not be found.

Expected results:

/etc/lvm/* and /bin/lvm should be present, no error upon the next reboot.

Additional info:

I've seen plenty of reports similar to this problem for FC6, however, none for
RHEL 5. I was surprised that mkinitrd in RHEL 5 Gold has the problem, hence this
bug report.

Comment 1 Jan Pazdziora 2007-03-28 08:43:56 UTC
As the bug is present in RHEL 5 as well, I'm changing the Product to reflect that.

Comment 2 RHEL Product and Program Management 2007-03-28 08:45:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 RHEL Product and Program Management 2007-06-04 20:01:43 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.